Create a voice

Create a voice from previously generated voice preview. This endpoint should be called after you fetched a generated_voice_id using POST /v1/text-to-voice/design or POST /v1/text-to-voice/:voice_id/remix.

Headers

xi-api-keystringOptional

Request

This endpoint expects an object.
voice_namestringRequired
Name to use for the created voice.
voice_descriptionstringRequired20-1000 characters
Description to use for the created voice.
generated_voice_idstringRequired

The generated_voice_id to create, call POST /v1/text-to-voice/create-previews and fetch the generated_voice_id from the response header if don’t have one yet.

labelsmap from strings to optional stringsOptional
Optional, metadata to add to the created voice. Defaults to None.
played_not_selected_voice_idslist of stringsOptional
List of voice ids that the user has played but not selected. Used for RLHF.

Response

Successful Response
voice_idstring
The ID of the voice.
namestring
The name of the voice.
sampleslist of objects
List of samples associated with the voice.
categoryenum
The category of the voice.
fine_tuningobject

Fine-tuning information for the voice.

labelsmap from strings to strings
Labels associated with the voice.
descriptionstring
The description of the voice.
preview_urlstring
The preview URL of the voice.
available_for_tierslist of strings
The tiers the voice is available for.
settingsobject
The settings of the voice.
sharingobject
The sharing information of the voice.
high_quality_base_model_idslist of strings

The base model IDs for high-quality voices.

verified_languageslist of objects
The verified languages of the voice.
collection_idslist of strings
The IDs of collections this voice belongs to.
safety_controlenum
The safety controls of the voice.
Allowed values:
voice_verificationobject
The voice verification of the voice.
permission_on_resourcestring
The permission on the resource of the voice.
is_ownerboolean
Whether the voice is owned by the user.
is_legacybooleanDefaults to false
Whether the voice is legacy.
is_mixedbooleanDefaults to false
Whether the voice is mixed.
favorited_at_unixinteger
Timestamp when the voice was marked as favorite in Unix time.
created_at_unixinteger
The creation time of the voice in Unix time.
is_bookmarkedboolean

Whether the voice is bookmarked by the current user. Only relevant for community (library-copied) voices.

Errors

422
Text to Voice Create Request Unprocessable Entity Error